%global ephy_major          2.26
%global ephy_api_version    2.26
%global ephy_min_version    %{ephy_major}.0
%global gecko_version       1.9.1

Name:           epiphany-extensions
Version:        %{ephy_major}.1
Release:        2%{?dist}
Summary:        Extensions for Epiphany, the GNOME web browser

## The Live HTTP Headers extension is LGPLv2.1+; the Gestures extension is
## GPLv2 (only); and all other extensions are GPLv2+.
License:        LGPLv2+ and GPLv2 and GPLv2+ and GFDL
Group:          Applications/Internet
URL:            http://www.gnome.org/projects/epiphany/extensions

Source0:        http://ftp.gnome.org/pub/GNOME/sources/epiphany-extensions/%{ephy_major}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	epiphany-devel >= %{ephy_min_version}
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	opensp-devel
BuildRequires:	pcre-devel
## gecko-devel is not strictly required, as epiphany-devel pulls it in.
## BuildRequire it anyway so we fail if not building against the version
## we are expecting to, and to ensure that we get the unstable headers needed.
BuildRequires:  gecko-devel-unstable = %{gecko_version}

Requires:       epiphany >= %{ephy_min_version}
Requires:       gecko-libs = %{gecko_version}
Requires:       pygtk2 >= 2.11

Requires(pre):  GConf2

Requires(post): scrollkeeper
Requires(post): GConf2

Requires(preun): GConf2

Requires(postun): scrollkeeper

%description
Epiphany Extensions is a collection of extensions for Epiphany, the
GNOME web browser.


%prep
%setup -q


%build
%configure --disable-scrollkeeper   		\
           --with-gecko=libxul-embedding	\
           --with-extensions=really-all
%{__make} %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install
%{find_lang} "%{name}-%{ephy_api_version}"


%clean
%{__rm} -rf %{buildroot}


%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 --makefile-uninstall-rule \
              %{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas \
              %{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:
fi


%post
scrollkeeper-update -q -o %{_datadir}/omf/%{name} ||:
export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
gconftool-2 --makefile-install-rule \
            %{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas \
            %{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:


%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=$(gconftool-2 --get-default-source)
  gconftool-2 --makefile-uninstall-rule \
              %{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas \
              %{_sysconfdir}/gconf/schemas/epilicious.schemas > /dev/null ||:
fi


%postun
scrollkeeper-update -q ||:

%files -f %{name}-%{ephy_api_version}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.README ChangeLog README NEWS
%{_datadir}/epiphany/icons/hicolor/*/status/feed-presence.*
%{_datadir}/epiphany/icons/hicolor/*/status/ad-blocked.*
%{_datadir}/%{name}/
%{_datadir}/gnome/help/%{name}
%{_datadir}/omf/%{name}
%exclude %{_libdir}/epiphany/%{ephy_major}/extensions/*.a
%exclude %{_libdir}/epiphany/%{ephy_major}/extensions/*.la
%{_libdir}/epiphany/%{ephy_major}/extensions/
%{_sysconfdir}/gconf/schemas/smart-bookmarks.schemas
%{_sysconfdir}/gconf/schemas/epilicious.schemas


%changelog
* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 2.26.1-2
- Rebuild against newer gecko

* Mon Apr 13 2009 Matthias Clasen <mclasen@redhat.com> 2.26.1-1
- Update to 2.26.1

* Sun Mar 29 2009 Matthias Clasen <mclasen@redhat.com> 2.26.0-1
- Update to 2.26.0

* Fri Feb 27 2009 Matthias Clasen <mclasen@redhat.com> 2.25.91-1
- Update to 2.25.91

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.24.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 06 2009 Christopher Aillon <caillon@redhat.com> - 2.24.0-3
- Rebuild against newer gecko

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.24.0-2
- Rebuild for Python 2.6

* Mon Sep 29 2008 Peter Gordon <peter@thecodergeek.com> - 2.24.0-1
- Update to new upstream release (2.24.0)

* Wed Sep 24 2008 Christopher Aillon <caillon@redhat.com> - 2.23.91-2
- Rebuild against newer gecko

* Sun Sep 07 2008 Peter Gordon <peter@thecodergeek.com> - 2.23.91-1
- Update to new upstream release (2.23.91)
- Drop fixes for Ephy 2.23 API bump (applied upstream):
  - 2.22_23-api.diff

* Sat Jul 26 2008 Peter Gordon <peter@thecodergeek.com> - 2.23.0-0.1
- Adapt internal build scripts so that the Extensions are built against and
  run with Ephy 2.23/2.24: 
  + 2.22_23-api.diff
- Rebuild for XULrunner 1.9.0.1 while we're at it. :)

* Mon Apr  7 2008 Christopher Aillon <caillon@redhat.com> - 2.22.1-1
- Update to 2.22.1

* Tue Mar 11 2008 Christopher Aillon <caillon@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Tue Feb 26 2008 Christopher Aillon <caillon@redhat.com> - 2.21.92-1
- Update to 2.91.92
- Build against xulrunner 4realz, yo

* Wed Jan  9 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.20.1-4
- Switch to building against xulrunner (gecko 1.9) rather than firefox

* Tue Nov 27 2007 Christopher Aillon <caillon@redhat.com> - 2.20.1-2
- Rebuild against newer gecko

* Tue Nov 06 2007 Peter Gordon <peter@thecodergeek.com> - 2.20.1-2
- Rebuild for new Gecko (Firefox 2.0.0.9)

* Mon Oct 15 2007 Peter Gordon <peter@thecodergeek.com> - 2.20.1-1
- Update to new upstream release (2.20.1), which fixes the "About" dialog of
  the AdBlocker extension and contains updated translations for Thai (th) and
  Catalan (ca). 
- Use the system libtool for building, to avoid unnecessary RPATH inclusions.  

* Tue Sep 18 2007 Peter Gordon <peter@thecodergeek.com> - 2.20.0-1
- Update to new upstream release (2.20.0). 

* Tue Sep 04 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.90-1
- Update to new upstream release (2.19.90), which contains reworked
  installation rules for the icons and a fix for the Greasemonkey
  extension so that it does not break when the directory is not
  created (GNOME bug 437648).

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 2.19.6-1
- Rebuild for build ID

* Wed Aug 08 2007 Christopher Aillon <caillon@redhat.com> - 2.19.6-1
- Update to 2.19.6
- Rebuild against newer gecko

* Thu Aug 02 2007 Peter Gordon <peter@thecodergeek.com>
- Update License tag (LGPLv2.1+ and GPLv2 and GPLv2+).

* Sat Jul 21 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.5-1
- Update to new upstream release (2.19.5), which contains significant
  Epilicious updates and improved filterset.g syncing support in the
  AdBlocker extension.
- Build against the new Gecko release (Firefox 2.0.0.5) 

* Sat Jun 09 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-5
- Revert previous Yelp dependency addition. It's in the default install (via
  comps) and the only bad thing to happen if it's not available is that
  clicking the "Help" option simply does nothing. It's not a strict requirement
  in this case. 

* Fri Jun 08 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-4
- Add yelp dependency to ensure that its built-in "Help" functionality works
  as expected. (Resolves bug 243378; Thanks to Matej Cepl for his script.)

* Wed Jun 06 2007 Christopher Aillon <caillon@redhat.com> - 2.19.2-3
- Specfiles should _NOT_ call rpm directly.  Fix the previous bug the
  correct way, by doing explicit requires on the exact versions instead
  of via rpm -q

* Tue Jun 05 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-2
- Add %%{_target_cpu} to versioned Firefox dependency to avoid multilib
  updating issues such as bug 242318, wherein the 32-bit older Firefox build
  matches the versioned dependency, but the updated 64-bit Firefox build
  matches the 64-bit shared library dependencies. (Thanks to Frederik Hertzum
  for the bug report.) 

* Tue May 30 2007 Peter Gordon <peter@thecodergeek.com> - 2.19.2-1
- Update to new upstream release (2.19.2); and rebuild for newer Firefox/Gecko
  version (2.0.0.4).

* Wed Apr 11 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.1-1
- Update to new upstream release (2.18.1).

* Sat Mar 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-2
- Rebuild against new Gecko release (Firefox 2.0.0.3).

* Wed Mar 14 2007 Peter Gordon <peter@thecodergeek.com> - 2.18.0-1
- Update to new upstream release (2.18.0).
- Remove shell syntax error (erroneous "||:") in %%preun scriptlet.

* Fri Mar 02 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.92-1
- Update to new upstream release (2.17.92), which includes the Epilicious
  extension (thus closing bug #223746).  
- Add an explicit versioned dependency on firefox to help avoid version-bump
  incompatibilities in the future.(Thanks to Brian Pepple for the fix.)  

* Sat Jan 27 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-3
- Enable all extensions. (Woo!)
- Fix summary (it shouldn't end with a period).

* Fri Jan 26 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-2
- Fix %%post GConf scriptlet (thanks to David Nielsen for the bug report via
  email) and a spelling mistake in previous %%changelog entry. 
- Lots of aesthetic fixes to the spec file.

* Wed Jan 24 2007 Peter Gordon <peter@thecodergeek.com> - 2.17.4-1
- Update to new upstream release (2.17.4)
- Use %%find_lang instead of a hardcoded call to 'find_lang.sh --all-name'
- A couple of fixes from Brian Pepple:
  (1) Own only the extensions subdirectory in %%_libdir/epiphany, not the
  toplevel epiphany directory (which is owned by epiphany).
  (2) Don't package libtool archive (*.la) files.
- Make macro usage a bit more consistent.
- Add AUTHORS, COPYING, and COPYING.README to installed documentation (%%doc).
- Includes smart-bookmarks GConf schema, so add associated gconftool-2
  scriptlet calls, etc. 

* Fri Dec 01 2006 Peter Gordon <peter@thecodergeek.com> - 2.17.0-1
- Update to new upstream release (2.17.0), for new Epiphany 2.17/2.18 in Devel. 
- Fix BuildRoot to be in compliance with Fedora Extras packaging policy  

* Thu Oct 12 2006 Peter Gordon <peter@thecodergeek.com>
- Change perl-XML-Parser BR to perl(XML::Parser)
- DESTDIR is a make variable, not an external one

* Thu Oct 12 2006 Zack Cerza <zcerza@redhat.com> 2.16.0-1
- Update to 2.16.0

* Tue Aug 29 2006 Christopher Aillon <caillon@redhat.com> 2.15.2-1
- Update to 2.15.2

* Sun Apr 16 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 2.14.1-1
- Upstream update

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 1.9.7-1
- Update to 1.9.7

* Sun Feb  5 2006 Christopher Aillon <caillon@redhat.com> - 1.9.6-1
- Update to 1.9.6

* Tue Jan  3 2006 Christopher Aillon <caillon@redhat.com> - 1.9.4-1
- Update to 1.9.4

* Fri Dec 30 2005 Christopher Aillon <caillon@redhat.com> - 1.9.3-1
- Update to 1.9.3

* Mon Oct 10 2005 Christopher Aillon <caillon@redhat.com> - 1.8.1-1
- Update to 1.8.1

* Tue Sep  6 2005 Christopher Aillon <caillon@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Wed Aug 10 2005 Christopher Aillon <caillon@redhat.com> - 1.7.4-1
- Update to 1.7.4

* Fri Jul 29 2005 Christopher Aillon <caillon@redhat.com> - 1.7.3-1
- Update to 1.7.3

* Mon Jul 11 2005 Christopher Aillon <caillon@redhat.com> - 1.7.2-1
- Update to 1.7.2

* Mon Jun 27 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-2
- Own %%{_libdir}/epiphany
- Run find-lang.sh manually since the macro doesn't help us
- Clean up summary

* Thu Jun 16 2005 Christopher Aillon <caillon@redhat.com> - 1.7.1-1
- Initial RPM
